Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
refresh-tokens
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.RefreshTokens.UpdateAsync(
            id: "id",
            request: new UpdateRefreshTokenRequestContent()
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.refreshtokens.requests.UpdateRefreshTokenRequestContent;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.refreshTokens().update(
"id",
UpdateRefreshTokenRequestContent
.builder()
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\RefreshTokens\Requests\UpdateRefreshTokenRequestContent;

$client = new Management(
token: '<token>',
);
$client->refreshTokens->update(
'id',
new UpdateRefreshTokenRequestContent([]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.refresh_tokens.update(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.refresh_tokens.update(id: "id")
curl --request PATCH \
--url https://{tenantDomain}/api/v2/refresh-tokens/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token_metadata": {}
}
'
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refresh_token_metadata: {}})
};

fetch('https://{tenantDomain}/api/v2/refresh-tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{tenantDomain}/api/v2/refresh-tokens/{id}"

payload := strings.NewReader("{\n \"refresh_token_metadata\": {}\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "id": "<string>",
  "user_id": "auth0|507f1f77bcf86cd799439020",
  "created_at": "2023-11-07T05:31:56Z",
  "idle_expires_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "device": {
    "initial_ip": "<string>",
    "initial_asn": "<string>",
    "initial_user_agent": "<string>",
    "last_ip": "<string>",
    "last_asn": "<string>",
    "last_user_agent": "<string>"
  },
  "client_id": "<string>",
  "session_id": "<string>",
  "rotating": true,
  "resource_servers": [
    {
      "audience": "<string>",
      "scopes": "<string>"
    }
  ],
  "refresh_token_metadata": {},
  "last_exchanged_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the refresh token to update.

Body

refresh_token_metadata
object | null

Metadata associated with the refresh token. Pass null or {} to remove all metadata.

Response

Refresh token successfully updated.

id
string

The ID of the refresh token

user_id
string
default:auth0|507f1f77bcf86cd799439020

ID of the user which can be used when interacting with other APIs.

created_at

The date and time when the refresh token was created

idle_expires_at

The date and time when the refresh token was created

expires_at

The date and time when the refresh token was created

device
object

Device used while issuing/exchanging the refresh token

client_id
string

ID of the client application granted with this refresh token

session_id
string | null

ID of the authenticated session used to obtain this refresh-token

rotating
boolean

True if the token is a rotating refresh token

resource_servers
object[]

A list of the resource server IDs associated to this refresh-token and their granted scopes

refresh_token_metadata
object | null

Metadata associated with the refresh token, in the form of an object with string values (max 255 chars). Maximum of 25 metadata properties allowed.

last_exchanged_at

The date and time when the refresh token was created